function corners = sineToLineIntersection(par, width, height, dim)
%Calculate intersections of lines given as r,phi pairs

for i=1:size(par,2)
    r=par(1,i);
    phi=par(2,i);


    a = tan(-phi);	%slope
    b = r/cos(phi);	%y=b when x=0

    x = 1:width;
    line = a*x + b;
    subplot(1,2,2), plot(line);
    
    hlines(:,i) = [a; 1; b];
end

c=1;
for a = 1:size(hlines,2)
    for b = size(hlines,2):-1:a
        if abs(par(2,a) - par(2,b)) > pi/(dim/4)
            isect = cross(hlines(:,a), hlines(:,b));
            isect = abs([isect(1) / isect(3); isect(2)/isect(3)]);
            if isect(1) < width && isect(2) < height
                [a,b]
                corners(:,c) = isect;
                c = c + 1;
            else
        end
    end
end

end